#!/usr/local/bin/python

from nikos_welt import *

# neue Klasse --------------------------------

class Roboter_X(Roboter):
   def __init__(self,welt,time):
      Roboter.__init__(self,welt,time)
 
   def rechts(self):
      self.links()
      self.links()
      self.links()

   def rechts_frei(self):
      self.rechts()
      zustand=self.vorne_frei()
      self.links()
      return zustand

   def gehe_zur_Ecke(self):
       while self.vorne_frei() and not self.rechts_frei():
          self.vor()

   def gehe_um_rechte_Ecke(self):
       self.rechts()
       self.vor()

#---------- Hauptprogramm ------------------------

meine_welt=Welt("labyrinth.welt",14)
mein_robi=Roboter_X(meine_welt,0.0)

while mein_robi.Feld_leer():
   mein_robi.gehe_zur_Ecke()
   if mein_robi.rechts_frei():
      mein_robi.gehe_um_rechte_Ecke()
   else:
      mein_robi.links()

Tkinter.mainloop()
